import type { Directive, DirectiveBinding } from 'vue'

const scrollbar: Directive = {
  mounted(el: HTMLElement, binding: DirectiveBinding) {
    if (binding.value) {
      const bar = el?.querySelector('.el-scrollbar__bar')
      if (bar && el) {
        bar?.classList?.add('v-scroll__el-scrollbar__bar')
        el?.appendChild(bar)
      }
    }
  },
}

export default scrollbar
